<?php get_header(); ?>

<div id="page_content_archive">


		<?php if (have_posts()) : ?>

 	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle_archive">Archive for the &#8216;<?php single_cat_title(); ?>&#8217; Category</h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="pagetitle_archive">Posts Tagged &#8216;<?php single_tag_title(); ?>&#8217;</h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle_archive">Archive for <?php the_time('F jS, Y'); ?></h2>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle_archive">Archive for <?php the_time('F, Y'); ?></h2>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle_archive">Archive for <?php the_time('Y'); ?></h2>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle_archive">Author Archive</h2>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle_archive">Blog Archives</h2>
 	  <?php } ?>



<?php while (have_posts()) : the_post(); ?>



<div class="archive_list">


<?php if ( get_post_meta($post->ID, 'thumb', true) ) { ?>
<a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><img src="<?php bloginfo('template_directory'); ?>/scripts/timthumb.php?src=<?php echo get_post_meta($post->ID, "thumb", $single = true); ?>&amp;h=&amp;w=100&amp;zc=1" alt="<?php the_title(); ?>" class="post_thumb" /></a>
<?php } ?>

<h2><?php the_title(); ?></h2>
<?php the_excerpt(); ?>
<a href="<?php the_permalink() ?>#more-<?php the_ID(); ?>"><img src="<?php bloginfo('template_directory'); ?>/images/more.png" class="more" width="68" height="24" alt="more" /></a>


</div>

<?php endwhile; ?>

<!-- START next_prev div -->
<?php next_posts_link('<div class="prev_left">&laquo; Older Entries<div class="prev_right"></div></div>') ?>
<?php previous_posts_link('<div class="next_left">Newer Entries &raquo;<div class="prev_right"></div></div>') ?>
<!-- CLOSE next_prev div -->


<?php else :

		if ( is_category() ) { // If this is a category archive
			printf("<h2 class='center'>Sorry, but there aren't any posts in the %s category yet.</h2>", single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			echo("<h2>Sorry, but there aren't any posts with this date.</h2>");
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf("<h2 class='center'>Sorry, but there aren't any posts by %s yet.</h2>", $userdata->display_name);
		} else {
			echo("<h2 class='center'>No posts found.</h2>");
		}
		get_search_form();

	endif;
?>


</div>


<?php get_sidebar(); ?>
<?php get_footer(); ?>