<?php get_header(); ?>


<div id="wrapper">

<noscript>
<div style="border: 3px solid red; padding: 5px; margin-bottom: 10px; background: #FFF; font-weight: 700; color: #900; margin-right: 12px; text-align: center"> 
Hello! Your Javascript must be enabled if you want full functionality of this site!
</div>
</noscript>


<!-- sortable posts -->


 <ul class="splitter">
 
    <li><span style="font-weight:700">Sort by Category:</span>
    <ul>
    <?php include("includes/frontpage_categories.php"); ?>
    </ul>
    </li>
              
    <li><span style="font-weight:700">Sort by:</span>
    <ul>
    <li class="segment-1 selected-1"><a href="#" data-value="date">Date</a></li>
    <li class="segment-2"><a href="#" data-value="name">Title</a></li>   
    </ul>
    </li>
              
    </ul>
    
    
<!-- Layout options -->
<div id="site_<?php echo ($bwt_layout); ?>">


<!-- display sidebar left -->
<?php if ($bwt_sidebar_left == "true") {?>
<?php get_sidebar(1); ?>
<?php }?>
<?php if ($bwt_sidebar_left == "false") {?><?php }?>


<!-- display sidebar right -->
<?php if ($bwt_sidebar_right == "true") {?>
<?php get_sidebar(2); ?>
<?php }?>
<?php if ($bwt_sidebar_right == "false") {?><?php }?>


<!-- Align Content to the right if sidebar left is checked -->
<?php if ($bwt_sidebar_left == "true") {?>
<div style="float:right; width: 748px; margin-right: -28px">
<?php }?>
<?php if ($bwt_frontpage_sidebar == "false") {?><?php }?>

<!-- Align Content to the left if sidebar right is checked -->
<?php if ($bwt_sidebar_right == "true") {?>
<div style="width: 720px;">
<?php }?>
<?php if ($bwt_frontpage_sidebar == "false") {?><?php }?>

<!-- If both sidebars is checked -->
<?php if ($bwt_sidebar_both == "true") {?>
<?php get_sidebar(1); ?>
<div style="margin-right:"><?php get_sidebar(2); ?></div>
<div style="margin-left: 240px; margin-right: 240px">
<?php }?>
<?php if ($bwt_frontpage_sidebar == "false") {?><?php }?>




<ul id="list" class="image-grid_<?php echo stripslashes($bwt_layout); ?>">
    
<!-- A modified template tag (to only display the cat name) will echo the category name in the li class.
Now the jquery plugin knows which posts it should sort according to the category menu.

Main Loop is inside a list tag -->
         
<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>


<!-- Set ad position from admin -->
<?php $count++; ?>
<?php if ($count == ($bwt_ad_position)) : ?>
  
<!-- display ad -->

<?php if ($bwt_frontpage_ad == "true") { ?>
<li style="width: <?php echo stripslashes($bwt_ad_width); ?>; height: <?php echo stripslashes($bwt_ad_height); ?>; overflow: hidden; 
<?php if ($bwt_float_right == "true") {?>float:right; margin-right: 12px;<?php }?><?php if ($bwt_float_right == "false") {?><?php }?>"
class="frontpage_ad_box <?php $category = get_the_category(); echo $category[0]->cat_name; ?>" data-id="id-<?php the_ID(); ?>">

<?php echo stripslashes($bwt_ad_content); ?>

<div style="position:absolute; top: 0; right: 0; width: 69px; height: 70px; background: url(<?php bloginfo('template_directory'); ?>/images/ad.png) no-repeat"></div>

</li>

<?php }?>
<!-- if checkbox is unticked-->
<?php if ($bwt_frontpage_ad == "false") {?>
<?php }?>
 
<!-- // ad -->        
          
<?php else : ?>


<li data-id="id-<?php the_ID(); ?>" class="<?php $category = get_the_category(); echo $category[0]->cat_name; ?>" style="background-color: #<?php echo stripslashes($bwt_box_background_color); ?>; border-radius: <?php echo stripslashes($bwt_border_radius); ?>px; 
    -moz-border-radius: <?php echo stripslashes($bwt_border_radius); ?>px; 
    -webkit-border-radius: <?php echo stripslashes($bwt_border_radius); ?>px
	
	<?php if ($bwt_frontpage_ad == "false") {?><?php }?>">


<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php if ( get_post_meta($post->ID, 'thumb', true) ) { ?>
<img src="<?php bloginfo('template_directory'); ?>/scripts/timthumb.php?src=<?php echo get_post_meta($post->ID, "thumb", $single = true); ?>&amp;h=<?php echo stripslashes($bwt_thumbsize); ?>&amp;w=<?php echo stripslashes($bwt_thumbsize); ?>&amp;fit=<?php echo stripslashes($bwt_crop); ?>" style="overflow: hidden" alt="<?php the_title(); ?>" />
<?php } ?></a>


  
		
<h2><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>

<?php if ($bwt_excerpt == "true") {?>
<div class="newspaper_excerpt">
<?php the_excerpt(); ?>
</div>
<?php }?>

<!-- if checkbox is unticked; change true to false:-->

<?php if ($bwt_excerpt == "false") {?>
<?php }?>


<span style="font-size: .6em; color:#4c4c4c; display:block; position: absolute; bottom: 2px; right: 4px"><?php the_time('Y-m-d') ?></span>


<?php if ($bwt_commentcount == "true") {?>
<p class="post_comments"><?php comments_popup_link('0', '1', '%'); ?></p>
<?php }?>

<!-- if checkbox is unticked; change true to false:-->

<?php if ($bwt_commentcount == "false") {?>
<?php }?>

</li><!-- end post loop -->

<?php endif; ?>

<?php endwhile; endif; ?>

</ul><!-- end posts -->


<?php next_posts_link('<div class="next_prev_left">Older Posts</div>') ?>
<?php previous_posts_link('<div class="next_prev_right">Newer Posts</div>') ?>



<!-- if sidebar is checked admin show sidebar column closing tag, else display nothing -->
<?php if ($bwt_frontpage_sidebar == "true") {?>
</div>
<?php }?>
<?php if ($bwt_frontpage_sidebar == "false") {?><?php }?>



</div><!-- //Layout options -->
</div><!-- // Wrapper -->





<?php get_footer(); ?>